Search found 14 matches

by x70
Wed May 19, 2021 3:01 pm
Forum: Developers corner
Topic: where to get FreeCADLibs with python3.8.8
Replies: 0
Views: 1701

where to get FreeCADLibs with python3.8.8

I download FreeCAD_weekly-builds-24693-Win-Conda_vc14.x-x86_64, which with python3.8.8 in,I find in FreeCAD_weekly-builds-24693-Win-Conda_vc14.x-x86_64,Fem work without any problem with h5py. and FreeCADLibs_12.5.4_x64_VC17 which python version is 3.8.6+,I try to compile the sorcecode with FreeCADLi...
by x70
Thu May 06, 2021 3:18 pm
Forum: Developers corner
Topic: import h5py error
Replies: 0
Views: 1776

import h5py error

I compiled the release version 0.19,and pip h5py,but when excute error occured. import h5py File "FreeCAD-releases-FreeCAD-0-19\build\bin\Lib\site-packages\shiboken2\files.dir\shibokensupport\__feature__.py", line 142, in _import return original_import(name, *args, **kwargs) File "Fre...
by x70
Fri Apr 23, 2021 2:48 pm
Forum: FEM
Topic: DLL load failed while importing Fem:
Replies: 0
Views: 1437

DLL load failed while importing Fem:

I try to load simpost file like this: result_obj = FreeCAD.ActiveDocument.addObject("Fem::FemPostPipeline", "pipe") result_obj.read(file) I just get DLL load failed while importing Fem:The specified module could not be found. with no hint on the missing (really missing ?) module....
by x70
Thu Apr 22, 2021 3:27 pm
Forum: Developers corner
Topic: DLL load failed while importing Fem:The specified module could not be found
Replies: 0
Views: 1218

DLL load failed while importing Fem:The specified module could not be found

I try to load simpost file like this: result_obj = FreeCAD.ActiveDocument.addObject("Fem::FemPostPipeline", "pipe") result_obj.read(file) I just get DLL load failed while importing Fem:The specified module could not be found. with no hint on the missing (really missing ?) module....
by x70
Tue Feb 02, 2021 2:40 pm
Forum: FEM
Topic: How can i get the meshgroups name in FEMMesh which import from UNV file?
Replies: 3
Views: 450

Re: How can i get the meshgroups name in FEMMesh which import from UNV file?

I write like this: Fem.insert(filePath,FreeCAD.activeDocument().Name) mesh = FreeCAD.ActiveDocument.FEMMeshGmsh.FemMesh for g in mesh.Groups: name = mesh.getGroupName(g) print(name) mesh.getGroupElementType(g) mesh.getGroupElements(g) but got: 'App.Document' object has no attribute 'FEMMeshGmsh'
by x70
Tue Feb 02, 2021 2:14 pm
Forum: FEM
Topic: How can i get the meshgroups name in FEMMesh which import from UNV file?
Replies: 3
Views: 450

How can i get the meshgroups name in FEMMesh which import from UNV file?

i import a FEMmesh from unv file,the meshobject in treeview have some attributes are liseted in propertiese table,included groups count,but no othor groups information like group name,How can I get them via python command?
by x70
Thu Nov 19, 2020 12:55 pm
Forum: Developers corner
Topic: Who can tell me how to use python commands to add custom nodes to the structure tree
Replies: 8
Views: 1018

Re: Who can tell me how to use python commands to add custom nodes to the structure tree

openBrain wrote: Wed Nov 18, 2020 3:50 pm Do your parent viewprovider implements the claimChildren() function as in the example ?
great! thank u very much.
but,more a question,How to set doubleClicked Event with every treeItem?Is threre any Examples?
thx!
by x70
Wed Nov 18, 2020 2:47 pm
Forum: Developers corner
Topic: Who can tell me how to use python commands to add custom nodes to the structure tree
Replies: 8
Views: 1018

Re: Who can tell me how to use python commands to add custom nodes to the structure tree

thx! but I want to add ChildItem to FeaturePython Object in tree view,I cannot find any example. Maybe https://forum.freecadweb.org/viewtopic.php?t=24734#p194209 :?: thank you very much,but I try to script like this: parent=App.ActiveDocument.addObject("App::FeaturePython","Parent&qu...
by x70
Wed Nov 18, 2020 2:25 pm
Forum: Developers corner
Topic: linking between objects
Replies: 5
Views: 1725

Re: linking between objects

great, thanks for all the hints ... Another question. Which one is the preferred way of linking between object. Or when would I use which one? Are there even more ways of linking? Until now in all cases I know of a parent has links to its children and I don't know of any real use case where a child...
by x70
Tue Nov 17, 2020 3:23 pm
Forum: Developers corner
Topic: Who can tell me how to use python commands to add custom nodes to the structure tree
Replies: 8
Views: 1018

Re: Who can tell me how to use python commands to add custom nodes to the structure tree

openBrain wrote: Wed Nov 04, 2020 4:53 pm
x70 wrote: Wed Nov 04, 2020 3:09 pm Who can tell me how to use python to add custom items to the treepanel,give me some examples!
thx!
ATM, that's just a read-the-doc question :
FeaturePython Objects
Scripted objects
thx!
but I want to add ChildItem to FeaturePython Object in tree view,I cannot find any example.